Show / Hide Table of Contents

# Struct AgentMap

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentMap

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### CurrentMapBgPath

##### Declaration

    public Utf8String CurrentMapBgPath

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CurrentMapDiscoveryFlag

##### Declaration

    public uint CurrentMapDiscoveryFlag

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMapId

##### Declaration

    public uint CurrentMapId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMapMarkerRange

##### Declaration

    public uint CurrentMapMarkerRange

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMapPath

##### Declaration

    public Utf8String CurrentMapPath

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CurrentMapSizeFactor

##### Declaration

    public short CurrentMapSizeFactor

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentMapSizeFactorFloat

##### Declaration

    public float CurrentMapSizeFactorFloat

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CurrentOffsetX

##### Declaration

    public short CurrentOffsetX

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentOffsetY

##### Declaration

    public short CurrentOffsetY

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentTerritoryId

##### Declaration

    public uint CurrentTerritoryId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FlagMapMarker

##### Declaration

    public FlagMapMarker FlagMapMarker

##### Field Value

Type | Description
--- | ---
FlagMapMarker |

| Improve this Doc View Source

#### IsControlKeyPressed

##### Declaration

    public byte IsControlKeyPressed

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsFlagMarkerSet

##### Declaration

    public byte IsFlagMarkerSet

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsPlayerMoving

##### Declaration

    public byte IsPlayerMoving

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MapMarkerCount

##### Declaration

    public byte MapMarkerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MapMarkerInfoArray

##### Declaration

    public byte *MapMarkerInfoArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MiniMapMarkerArray

##### Declaration

    public byte *MiniMapMarkerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MiniMapMarkerCount

##### Declaration

    public byte MiniMapMarkerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SelectedMapBgPath

##### Declaration

    public Utf8String SelectedMapBgPath

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### SelectedMapDiscoveryFlag

##### Declaration

    public uint SelectedMapDiscoveryFlag

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedMapId

##### Declaration

    public uint SelectedMapId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedMapMarkerRange

##### Declaration

    public uint SelectedMapMarkerRange

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedMapPath

##### Declaration

    public Utf8String SelectedMapPath

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### SelectedMapSizeFactor

##### Declaration

    public short SelectedMapSizeFactor

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SelectedMapSizeFactorFloat

##### Declaration

    public float SelectedMapSizeFactorFloat

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SelectedMapSub

##### Declaration

    public uint SelectedMapSub

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedOffsetX

##### Declaration

    public short SelectedOffsetX

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SelectedOffsetY

##### Declaration

    public short SelectedOffsetY

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SelectedTerritoryId

##### Declaration

    public uint SelectedTerritoryId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TempMapMarkerArray

##### Declaration

    public byte *TempMapMarkerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### TempMapMarkerCount

##### Declaration

    public byte TempMapMarkerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnkArray2

##### Declaration

    public byte *UnkArray2

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### UpdateFlags

##### Declaration

    public uint UpdateFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### WarpMarkerArray

##### Declaration

    public byte *WarpMarkerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Methods

| Improve this Doc View Source

#### AddGatheringTempMarker(Int32, Int32, Int32, UInt32, UInt32, String)

##### Declaration

    public void AddGatheringTempMarker(int mapX, int mapY, int radius, uint iconId = 0U, uint styleFlags = 4U, string tooltip = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | mapX |
System.Int32 | mapY |
System.Int32 | radius |
System.UInt32 | iconId |
System.UInt32 | styleFlags |
System.String | tooltip |

| Improve this Doc View Source

#### AddGatheringTempMarker(UInt32, Int32, Int32, UInt32, Int32, Utf8String*)

##### Declaration

    public void AddGatheringTempMarker(uint styleFlags, int mapX, int mapY, uint iconId, int radius, Utf8String*tooltip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | styleFlags |
System.Int32 | mapX |
System.Int32 | mapY |
System.UInt32 | iconId |
System.Int32 | radius |
Utf8String* | tooltip |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentMap*Instance()

##### Returns

Type | Description
--- | ---
AgentMap* |

| Improve this Doc View Source

#### OpenMap(OpenMapInfo*)

##### Declaration

    public void OpenMap(OpenMapInfo*data)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenMapInfo* | data |

| Improve this Doc View Source

#### OpenMap(UInt32, UInt32, String, MapType)

##### Declaration

    public void OpenMap(uint mapId, uint territoryId = 0U, string windowTitle = null, MapType type = MapType.FlagMarker)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | mapId |
System.UInt32 | territoryId |
System.String | windowTitle |
MapType | type |

| Improve this Doc View Source

#### OpenMapByMapId(UInt32)

##### Declaration

    public void OpenMapByMapId(uint mapId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | mapId |

| Improve this Doc View Source

#### SetFlagMapMarker(UInt32, UInt32, Vector3, UInt32)

##### Declaration

    public void SetFlagMapMarker(uint territoryId, uint mapId, Vector3 worldPosition, uint iconId = 60561U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId |
System.UInt32 | mapId |
System.Numerics.Vector3 | worldPosition |
System.UInt32 | iconId |

| Improve this Doc View Source

#### SetFlagMapMarker(UInt32, UInt32, Single, Single, UInt32)

##### Declaration

    public void SetFlagMapMarker(uint territoryId, uint mapId, float mapX, float mapY, uint iconId = 60561U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId |
System.UInt32 | mapId |
System.Single | mapX |
System.Single | mapY |
System.UInt32 | iconId |